Package org.apache.solr.common.util

## Interface ValidatingJsonMap.PredicateWithErrMsg<T>

Enclosing class:
  ValidatingJsonMap

    public static interface ValidatingJsonMap.PredicateWithErrMsg<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `test​(T t)` Test the object and return null if the predicate is true or return a string with a message;

### Method Detail

#### test

    String test​(T t)

Test the object and return null if the predicate is true or return a string with a message;

Parameters:
  `t` - test value
Returns:
  null if test succeeds or an error description if test fails